proxy.c File Reference
Include dependency graph for proxy.c:

## Functions

SPA_EXPORT void * | pw_proxy_get_user_data (struct pw_proxy *proxy)
| Get the user_data. More...
SPA_EXPORT uint32_t | pw_proxy_get_id (struct pw_proxy *proxy)
| Get the local id of the proxy. More...
SPA_EXPORT struct pw_protocol * | pw_proxy_get_protocol (struct pw_proxy *proxy)
| Get the protocol used for the proxy. More...
SPA_EXPORT void | pw_proxy_add_listener (struct pw_proxy *proxy, struct spa_hook *listener, const struct pw_proxy_events *events, void *data)
| Add an event listener to proxy. More...
SPA_EXPORT void | pw_proxy_add_proxy_listener (struct pw_proxy *proxy, struct spa_hook *listener, const void *events, void *data)
| Add a listener for the events received from the remote resource. More...
SPA_EXPORT struct spa_hook_list * | pw_proxy_get_proxy_listeners (struct pw_proxy *proxy)
| Get the listener of proxy. More...
SPA_EXPORT const struct pw_protocol_marshal * | pw_proxy_get_marshal (struct pw_proxy *proxy)
| Get the marshal functions for the proxy. More...

## Function Documentation

## pw_proxy_add_listener()

SPA_EXPORT void pw_proxy_add_listener | ( | struct pw_proxy * | proxy,
|  | struct spa_hook * | listener,
|  | const struct pw_proxy_events * | events,
|  | void * | data
| ) |  |

Add an event listener to proxy.

## pw_proxy_add_proxy_listener()

SPA_EXPORT void pw_proxy_add_proxy_listener | ( | struct pw_proxy * | proxy,
|  | struct spa_hook * | listener,
|  | const void * | events,
|  | void * | data
| ) |  |

Add a listener for the events received from the remote resource.

The events depend on the type of the remote resource.

Parameters

  proxy | the proxy
  listener | listener
  events | proxied events
  data | data passed to events

## pw_proxy_get_id()

SPA_EXPORT uint32_t pw_proxy_get_id | ( | struct pw_proxy * | proxy | ) |

Get the local id of the proxy.

## pw_proxy_get_marshal()

SPA_EXPORT const struct pw_protocol_marshal* pw_proxy_get_marshal | ( | struct pw_proxy * | proxy | ) |

Get the marshal functions for the proxy.

## pw_proxy_get_protocol()

SPA_EXPORT struct pw_protocol* pw_proxy_get_protocol | ( | struct pw_proxy * | proxy | ) |

Get the protocol used for the proxy.

## pw_proxy_get_proxy_listeners()

SPA_EXPORT struct spa_hook_list* pw_proxy_get_proxy_listeners | ( | struct pw_proxy * | proxy | ) |

Get the listener of proxy.

## pw_proxy_get_user_data()

SPA_EXPORT void* pw_proxy_get_user_data | ( | struct pw_proxy * | proxy | ) |

Get the user_data.

The size was given in pw_proxy_new